Subject: ld: can't open -lgcc
From: [email-masked] (Ian)

12 Dec 1996 17:08:31 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked]
X-Mailer: Windows Eudora Light Version 1.5.4 (16)
Original-To: [email-masked]
Original-Sender: [email-masked]

Attempting to compile a hello world program under B17.1 (Win95 4.00.950)
gives a linker error "ld: cannot open -lgcc: No such file or directory". I
admit to being something of a newbie, but I can't even figure out why it's
_trying_ to find -lgcc. A quick grep of all of my header files for 'lgcc'
didn't produce anything, so why is it trying?

Compiling hiworld.c to a .o file and then attempting "ld hiworld.o" yields:

/d/ROOT/H-I386-C/BIN/LD.EXE: warning: cannot find entry symbol _mainCRTStartup;
defaulting to 00401000
hiworld.o(.text+0x14):hiworld.c: undefined reference to `__main'
hiworld.o(.text+0x1e):hiworld.c: undefined reference to `printf'

Ian Reinhart

p.s. but this is so much _closer_ to actually getting it to compile than I
was last week... :)

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".